close all; clear; %clc;

addpath('..');
dataPath = './Data/';
load(fullfile(dataPath,'ClassList.mat'));
load(fullfile(dataPath,'Feature_VNK_2.mat'));

k = 4;
testNum = 500;

[sfAddonNum,tNum] = size(Feature_VNK);
kmResult = zeros(sfAddonNum,tNum);
lkResult = zeros(sfAddonNum,tNum);

for i = 1:sfAddonNum
    for j = 1:tNum
        thisFeature = Feature_VNK{i,j};
        thisKMResult = zeros(testNum,1);
        for testIdx = 1:testNum 
            [kmClusterList] = kmeans(thisFeature,k);
            thisKMResult(testIdx) = ComputeFScore(kmClusterList, ClassList);
        end    
        kmResult(i,j) = mean(thisKMResult);
        
%         Z = linkage(thisFeature,'complete');
%         lkClusterList = cluster(Z,'maxclust',k);
        thisDistance = pdist(thisFeature);
        thisAffinityMatrix = max(thisDistance) - squareform(thisDistance);
        [lkClusterList] = CompleteLinkage(thisAffinityMatrix,k);
        lkResult(i,j) = ComputeFScore(lkClusterList, ClassList);
    end    
end

% save(fullfile(dataPath,'Result_Feature_VNK_2.mat'),'lkResult','kmResult');